petsc-3.7.7 2017-09-25
Report Typos and Errors

# DMSlicedSetBlockFills

Sets the fill pattern in each block for a multi-component problem of the matrix returned by DMSlicedGetMatrix().

### Synopsis

    #include "petscdmsliced.h"
    PetscErrorCode  DMSlicedSetBlockFills(DM dm,const PetscInt *dfill,const PetscInt *ofill)

Logically Collective on DM

### Input Parameter

| sliced | - the DM object
| dfill | - the fill pattern in the diagonal block (may be NULL, means use dense block)
| ofill | - the fill pattern in the off-diagonal blocks

### Notes

This only makes sense for multicomponent problems using scalar matrix formats (AIJ). See DMDASetBlockFills() for example usage.

### See Also

DMSlicedGetMatrix(), DMDASetBlockFills()

Level:advanced
Location:src/dm/impls/sliced/sliced.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages